/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 25/10/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import java.math.BigDecimal;
import java.util.List;

import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PenghasilanTidakKenaPajakDto {
	
	private Integer kdPtkp;

	@NotNull(message = "penghasilantidakkenapajak.statusptkp.notnull")
	private String statusPTKP;

	@NotNull(message = "penghasilantidakkenapajak.reportdisplay.notnull")
	private String reportDisplay;

	private String deskripsi;

	private Integer kdStatusPerkawinan;

	private Integer qtyAnak;

	@NotNull(message = "penghasilantidakkenapajak.totalhargaptkp.notnull")
	private BigDecimal totalHargaPTKP;

	private String kodeExternal;

	private String namaExternal;

	// @NotNull(message = "penghasilantidakkenapajak.kddepartemen.notnull")
	private String kdDepartemen;

	@NotNull(message = "penghasilantidakkenapajak.statusenabled.notnull")
	private Boolean statusEnabled;

	private String noRec;

	private Integer version;

	

}
